/*
 * StringIterator
 * Copyright (C) 2008 Christian Schenk
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 */
package org.christianschenk.stopwatch;

/**
 * This class models a stop watch that's not thread-safe. 
 * 
 * @author Christian Schenk
 */
public class StopWatch {

	private static long start;
	private static long stop;

	public static void start() {
		start = System.currentTimeMillis();
	}

	public static void stop() {
		stop = System.currentTimeMillis();
	}

	public static long getResult() {
		return stop - start;
	}
}