/*
 * StringIterator
 * Copyright (C) 2008 Christian Schenk
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 */
package org.christianschenk.stringutils;

import java.io.FileInputStream;
import java.io.InputStream;
import java.util.Scanner;

/**
 * Some file utils.
 * 
 * @author Christian Schenk
 */
public class FileHelper {

	/**
	 * Reads a file into a string.
	 */
	public static String readFile(final String filename) {
		final StringBuilder buf = new StringBuilder();
		try {
			final InputStream input = (filename.startsWith("/")) ? new FileInputStream(filename) : FileHelper.class.getClassLoader().getResourceAsStream(filename);
			final Scanner scan = new Scanner(input);
			while (scan.hasNextLine()) {
				buf.append(scan.nextLine() + System.getProperty("line.separator"));
			}
		} catch (final Exception ex) {
			throw new RuntimeException(ex);
		}
		return buf.toString();
	}
}